declare const allRules: {
    "components-return-once": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noEarlyReturn" | "noConditionalReturn", never[], {
        FunctionDeclaration: (node: import("./utils").FunctionNode) => void;
        FunctionExpression: (node: import("./utils").FunctionNode) => void;
        ArrowFunctionExpression: (node: import("./utils").FunctionNode) => void;
        "FunctionDeclaration:exit": (node: import("./utils").FunctionNode) => void;
        "FunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
        "ArrowFunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
        JSXElement(): void;
        JSXFragment(): void;
        ReturnStatement(node: import("@typescript-eslint/types/dist/generated/ast-spec").ReturnStatement): void;
    }>;
    "event-handlers": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"naming" | "capitalization" | "nonstandard" | "make-handler" | "make-attr" | "detected-attr" | "spread-handler", [({
        ignoreCase?: boolean | undefined;
        warnOnSpread?: boolean | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    imports: import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"prefer-source", never[], {
        ImportDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration): void;
    }>;
    "jsx-no-duplicate-props": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noDuplicateProps" | "noDuplicateClass" | "noDuplicateChildren", [({
        ignoreCase?: boolean | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "jsx-no-undef": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"undefined" | "customDirectiveUndefined" | "autoImport", [({
        allowGlobals?: boolean | undefined;
        autoImport?: boolean | undefined;
        typescriptEnabled?: boolean | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "jsx-no-script-url": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noJSURL", never[], {
        JSXAttribute(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXAttribute): void;
    }>;
    "jsx-uses-vars": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<never, never[], {
        JSXOpeningElement(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXOpeningElement): void;
        "JSXAttribute > JSXNamespacedName": (node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXNamespacedName) => void;
    }>;
    "no-destructure": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noDestructure", never[], {
        FunctionDeclaration: () => void;
        FunctionExpression: () => void;
        ArrowFunctionExpression: () => void;
        "FunctionDeclaration:exit": (node: import("./utils").FunctionNode) => void;
        "FunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
        "ArrowFunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
        JSXElement(): void;
        JSXFragment(): void;
    }>;
    "no-innerhtml": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"dangerous" | "conflict" | "notHtml" | "useInnerText" | "dangerouslySetInnerHTML", [({
        allowStatic?: boolean | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "no-proxy-apis": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"mergeProps" | "noStore" | "spreadCall" | "spreadMember" | "proxyLiteral", never[], {
        ImportDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration): void;
        "JSXSpreadAttribute MemberExpression"(node: import("@typescript-eslint/types/dist/generated/ast-spec").MemberExpression): void;
        "JSXSpreadAttribute CallExpression"(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
        CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
        NewExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").NewExpression): void;
    }>;
    "no-react-deps": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noUselessDep", never[], {
        ImportDeclaration: (node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration) => void;
        CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
    }>;
    "no-react-specific-props": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"prefer" | "noUselessKey", never[], {
        JSXOpeningElement(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXOpeningElement): void;
    }>;
    "no-unknown-namespaces": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"style" | "unknown" | "component" | "component-suggest", [({
        allowedNamespaces: string[];
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "prefer-classlist": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"preferClasslist", [({
        classnames?: string[] | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "prefer-for": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"preferFor" | "preferForOrIndex", never[], {
        CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
    }>;
    "prefer-show": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"preferShowAnd" | "preferShowTernary", never[], {
        JSXExpressionContainer(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXExpressionContainer): void;
    }>;
    reactivity: import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noWrite" | "untrackedReactive" | "expectedFunctionGotExpression" | "badSignal" | "badUnnamedDerivedSignal" | "shouldDestructure" | "shouldAssign" | "noAsyncTrackedScope", readonly [], {
        ImportDeclaration: (node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration) => void;
        JSXExpressionContainer(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXExpressionContainer): void;
        JSXSpreadAttribute(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXSpreadAttribute): void;
        CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
        NewExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").NewExpression): void;
        VariableDeclarator(node: import("@typescript-eslint/types/dist/generated/ast-spec").VariableDeclarator): void;
        AssignmentExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").AssignmentExpression): void;
        TaggedTemplateExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").TaggedTemplateExpression): void;
        "JSXElement > JSXExpressionContainer > :function"(node: import("@typescript-eslint/types/dist/generated/ast-spec").Node): void;
        FunctionExpression: (node: import("./utils").ProgramOrFunctionNode) => void;
        ArrowFunctionExpression: (node: import("./utils").ProgramOrFunctionNode) => void;
        FunctionDeclaration: (node: import("./utils").ProgramOrFunctionNode) => void;
        Program: (node: import("./utils").ProgramOrFunctionNode) => void;
        "FunctionExpression:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
        "ArrowFunctionExpression:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
        "FunctionDeclaration:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
        "Program:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
        JSXElement(): void;
        JSXFragment(): void;
    }>;
    "self-closing-comp": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"selfClose" | "dontSelfClose", [({
        component?: "all" | "none" | undefined;
        html?: "void" | "all" | "none" | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "style-prop": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"kebabStyleProp" | "invalidStyleProp" | "numericStyleValue" | "stringStyle", [({
        styleProps?: string[] | undefined;
        allowString?: boolean | undefined;
    } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    "no-array-handlers": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noArrayHandlers", never[], {
        JSXAttribute(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXAttribute): void;
    }>;
};
export type AllRules = keyof typeof allRules;
declare const plugin: {
    rules: {
        "components-return-once": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noEarlyReturn" | "noConditionalReturn", never[], {
            FunctionDeclaration: (node: import("./utils").FunctionNode) => void;
            FunctionExpression: (node: import("./utils").FunctionNode) => void;
            ArrowFunctionExpression: (node: import("./utils").FunctionNode) => void;
            "FunctionDeclaration:exit": (node: import("./utils").FunctionNode) => void;
            "FunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
            "ArrowFunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
            JSXElement(): void;
            JSXFragment(): void;
            ReturnStatement(node: import("@typescript-eslint/types/dist/generated/ast-spec").ReturnStatement): void;
        }>;
        "event-handlers": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"naming" | "capitalization" | "nonstandard" | "make-handler" | "make-attr" | "detected-attr" | "spread-handler", [({
            ignoreCase?: boolean | undefined;
            warnOnSpread?: boolean | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        imports: import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"prefer-source", never[], {
            ImportDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration): void;
        }>;
        "jsx-no-duplicate-props": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noDuplicateProps" | "noDuplicateClass" | "noDuplicateChildren", [({
            ignoreCase?: boolean | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "jsx-no-undef": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"undefined" | "customDirectiveUndefined" | "autoImport", [({
            allowGlobals?: boolean | undefined;
            autoImport?: boolean | undefined;
            typescriptEnabled?: boolean | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "jsx-no-script-url": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noJSURL", never[], {
            JSXAttribute(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXAttribute): void;
        }>;
        "jsx-uses-vars": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<never, never[], {
            JSXOpeningElement(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXOpeningElement): void;
            "JSXAttribute > JSXNamespacedName": (node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXNamespacedName) => void;
        }>;
        "no-destructure": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noDestructure", never[], {
            FunctionDeclaration: () => void;
            FunctionExpression: () => void;
            ArrowFunctionExpression: () => void;
            "FunctionDeclaration:exit": (node: import("./utils").FunctionNode) => void;
            "FunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
            "ArrowFunctionExpression:exit": (node: import("./utils").FunctionNode) => void;
            JSXElement(): void;
            JSXFragment(): void;
        }>;
        "no-innerhtml": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"dangerous" | "conflict" | "notHtml" | "useInnerText" | "dangerouslySetInnerHTML", [({
            allowStatic?: boolean | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "no-proxy-apis": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"mergeProps" | "noStore" | "spreadCall" | "spreadMember" | "proxyLiteral", never[], {
            ImportDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration): void;
            "JSXSpreadAttribute MemberExpression"(node: import("@typescript-eslint/types/dist/generated/ast-spec").MemberExpression): void;
            "JSXSpreadAttribute CallExpression"(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
            CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
            NewExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").NewExpression): void;
        }>;
        "no-react-deps": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noUselessDep", never[], {
            ImportDeclaration: (node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration) => void;
            CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
        }>;
        "no-react-specific-props": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"prefer" | "noUselessKey", never[], {
            JSXOpeningElement(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXOpeningElement): void;
        }>;
        "no-unknown-namespaces": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"style" | "unknown" | "component" | "component-suggest", [({
            allowedNamespaces: string[];
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "prefer-classlist": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"preferClasslist", [({
            classnames?: string[] | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "prefer-for": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"preferFor" | "preferForOrIndex", never[], {
            CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
        }>;
        "prefer-show": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"preferShowAnd" | "preferShowTernary", never[], {
            JSXExpressionContainer(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXExpressionContainer): void;
        }>;
        reactivity: import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noWrite" | "untrackedReactive" | "expectedFunctionGotExpression" | "badSignal" | "badUnnamedDerivedSignal" | "shouldDestructure" | "shouldAssign" | "noAsyncTrackedScope", readonly [], {
            ImportDeclaration: (node: import("@typescript-eslint/types/dist/generated/ast-spec").ImportDeclaration) => void;
            JSXExpressionContainer(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXExpressionContainer): void;
            JSXSpreadAttribute(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXSpreadAttribute): void;
            CallExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").CallExpression): void;
            NewExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").NewExpression): void;
            VariableDeclarator(node: import("@typescript-eslint/types/dist/generated/ast-spec").VariableDeclarator): void;
            AssignmentExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").AssignmentExpression): void;
            TaggedTemplateExpression(node: import("@typescript-eslint/types/dist/generated/ast-spec").TaggedTemplateExpression): void;
            "JSXElement > JSXExpressionContainer > :function"(node: import("@typescript-eslint/types/dist/generated/ast-spec").Node): void;
            FunctionExpression: (node: import("./utils").ProgramOrFunctionNode) => void;
            ArrowFunctionExpression: (node: import("./utils").ProgramOrFunctionNode) => void;
            FunctionDeclaration: (node: import("./utils").ProgramOrFunctionNode) => void;
            Program: (node: import("./utils").ProgramOrFunctionNode) => void;
            "FunctionExpression:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
            "ArrowFunctionExpression:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
            "FunctionDeclaration:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
            "Program:exit": (currentScopeNode: import("./utils").ProgramOrFunctionNode) => void;
            JSXElement(): void;
            JSXFragment(): void;
        }>;
        "self-closing-comp": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"selfClose" | "dontSelfClose", [({
            component?: "all" | "none" | undefined;
            html?: "void" | "all" | "none" | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "style-prop": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"kebabStyleProp" | "invalidStyleProp" | "numericStyleValue" | "stringStyle", [({
            styleProps?: string[] | undefined;
            allowString?: boolean | undefined;
        } | undefined)?], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        "no-array-handlers": import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noArrayHandlers", never[], {
            JSXAttribute(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXAttribute): void;
        }>;
    };
    configs: {
        recommended: {
            plugins: string[];
            env: {
                browser: boolean;
                es6: boolean;
            };
            parserOptions: {
                sourceType: string;
                ecmaFeatures: {
                    jsx: boolean;
                    impliedStrict: boolean;
                };
            };
            rules: {
                "solid/jsx-no-duplicate-props": number;
                "solid/jsx-no-undef": number;
                "solid/jsx-uses-vars": number;
                "solid/no-unknown-namespaces": number;
                "solid/no-innerhtml": number;
                "solid/jsx-no-script-url": number;
                "solid/components-return-once": number;
                "solid/no-destructure": number;
                "solid/prefer-for": number;
                "solid/reactivity": number;
                "solid/event-handlers": number;
                "solid/imports": number;
                "solid/style-prop": number;
                "solid/no-react-deps": number;
                "solid/no-react-specific-props": number;
                "solid/self-closing-comp": number;
                "solid/no-array-handlers": number;
                "solid/prefer-show": number;
                "solid/no-proxy-apis": number;
                "solid/prefer-classlist": number;
            };
        };
        typescript: {
            plugins: string[];
            env: {
                browser: boolean;
                es6: boolean;
            };
            rules: {
                "solid/jsx-no-duplicate-props": number;
                "solid/jsx-no-undef": (number | {
                    typescriptEnabled: boolean;
                })[];
                "solid/jsx-uses-vars": number;
                "solid/no-innerhtml": number;
                "solid/jsx-no-script-url": number;
                "solid/components-return-once": number;
                "solid/no-destructure": number;
                "solid/prefer-for": number;
                "solid/reactivity": number;
                "solid/event-handlers": number;
                "solid/imports": number;
                "solid/style-prop": number;
                "solid/no-react-deps": number;
                "solid/no-react-specific-props": number;
                "solid/self-closing-comp": number;
                "solid/no-array-handlers": number;
                "solid/no-unknown-namespaces": number;
                "solid/prefer-show": number;
                "solid/no-proxy-apis": number;
                "solid/prefer-classlist": number;
            };
        };
    };
};
export type Configs = keyof typeof plugin.configs;
export {};
